<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.AssimpProcessPreset Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_assimp_process_preset.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="class_tri_lib_1_1_assimp_process_preset-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.AssimpProcessPreset Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents the importing post process pressets.  
 <a href="class_tri_lib_1_1_assimp_process_preset.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-attribs" name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a853b158e04a215459785b46f4b7a84e7"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39">AssimpPostProcessSteps</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_assimp_process_preset.html#a853b158e04a215459785b46f4b7a84e7">ConvertToLeftHanded</a> = <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39aba1741832a48fbab3ee1849d2623c73a">AssimpPostProcessSteps.MakeLeftHanded</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a34fbdb16993386b0192a0eb0c4351c75">AssimpPostProcessSteps.FlipWindingOrder</a></td></tr>
<tr class="memdesc:a853b158e04a215459785b46f4b7a84e7"><td class="mdescLeft">&#160;</td><td class="mdescRight"> <a href="class_tri_lib_1_1_assimp_process_preset.html#a853b158e04a215459785b46f4b7a84e7">More...</a><br /></td></tr>
<tr class="separator:a853b158e04a215459785b46f4b7a84e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3766fd723959923c3aeb322955e9c217"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39">AssimpPostProcessSteps</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_assimp_process_preset.html#a3766fd723959923c3aeb322955e9c217">TargetRealtimeFast</a> = <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a3bce9359b1db4d15c03000c66e0b0d52">AssimpPostProcessSteps.CalcTangentSpace</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a81a21a547e0ef83dcf980ba0aac0edd4">AssimpPostProcessSteps.GenNormals</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a4642a6f7959b17c1b5f093a62e4a688c">AssimpPostProcessSteps.JoinIdenticalVertices</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a7862a2cb2f6887e78b0bce4f6e84e7ac">AssimpPostProcessSteps.Triangulate</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39ad50e853bc8ff0eb2f56707085eb52fdb">AssimpPostProcessSteps.GenUvCoords</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a156cb946bd7d4a5fb79cd2be00f0efcc">AssimpPostProcessSteps.SortByPType</a></td></tr>
<tr class="memdesc:a3766fd723959923c3aeb322955e9c217"><td class="mdescLeft">&#160;</td><td class="mdescRight"> <a href="class_tri_lib_1_1_assimp_process_preset.html#a3766fd723959923c3aeb322955e9c217">More...</a><br /></td></tr>
<tr class="separator:a3766fd723959923c3aeb322955e9c217"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dcb270244e40352702b34f0ab35a212"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39">AssimpPostProcessSteps</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_assimp_process_preset.html#a3dcb270244e40352702b34f0ab35a212">TargetRealtimeQuality</a> = <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a3bce9359b1db4d15c03000c66e0b0d52">AssimpPostProcessSteps.CalcTangentSpace</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a05479d3d9b4a2b28bf49c24a7dbcd99b">AssimpPostProcessSteps.GenSmoothNormals</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a4642a6f7959b17c1b5f093a62e4a688c">AssimpPostProcessSteps.JoinIdenticalVertices</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39abc15722695122129538319d4fd198153">AssimpPostProcessSteps.ImproveCacheLocality</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39afaf71ceef380dd2f3222f0559f5fa4e8">AssimpPostProcessSteps.LimitBoneWeights</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a0987753e9df81d1cf636f53c3b5593db">AssimpPostProcessSteps.SplitLargeMeshes</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a7862a2cb2f6887e78b0bce4f6e84e7ac">AssimpPostProcessSteps.Triangulate</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39ad50e853bc8ff0eb2f56707085eb52fdb">AssimpPostProcessSteps.GenUvCoords</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a156cb946bd7d4a5fb79cd2be00f0efcc">AssimpPostProcessSteps.SortByPType</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39aee94e10f28c445df2405ea4767905117">AssimpPostProcessSteps.FindInvalidData</a></td></tr>
<tr class="memdesc:a3dcb270244e40352702b34f0ab35a212"><td class="mdescLeft">&#160;</td><td class="mdescRight"> <a href="class_tri_lib_1_1_assimp_process_preset.html#a3dcb270244e40352702b34f0ab35a212">More...</a><br /></td></tr>
<tr class="separator:a3dcb270244e40352702b34f0ab35a212"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd88b1e92c830d15052c05a040feaefa"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39">AssimpPostProcessSteps</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_assimp_process_preset.html#abd88b1e92c830d15052c05a040feaefa">TargetRealtimeMaxQuality</a> = <a class="el" href="class_tri_lib_1_1_assimp_process_preset.html#a3dcb270244e40352702b34f0ab35a212">TargetRealtimeQuality</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39abb8af92c46a5c6bca759b86b840809e4">AssimpPostProcessSteps.FindInstances</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a3d3f2effe3ccae80446075e398148e83">AssimpPostProcessSteps.OptimizeMeshes</a></td></tr>
<tr class="memdesc:abd88b1e92c830d15052c05a040feaefa"><td class="mdescLeft">&#160;</td><td class="mdescRight"> <a href="class_tri_lib_1_1_assimp_process_preset.html#abd88b1e92c830d15052c05a040feaefa">More...</a><br /></td></tr>
<tr class="separator:abd88b1e92c830d15052c05a040feaefa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents the importing post process pressets. </p>
<dl class="section note"><dt>Note</dt><dd>This documentation is being translated for a more Unity friendly version. This documentation is based on the latest Assimp branch. Based on: <a href="http://assimp.sourceforge.net/lib_html/postprocess_8h.html">Assimp documentation</a>. </dd></dl>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a853b158e04a215459785b46f4b7a84e7" name="a853b158e04a215459785b46f4b7a84e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a853b158e04a215459785b46f4b7a84e7">&#9670;&nbsp;</a></span>ConvertToLeftHanded</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39">AssimpPostProcessSteps</a> TriLib.AssimpProcessPreset.ConvertToLeftHanded = <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39aba1741832a48fbab3ee1849d2623c73a">AssimpPostProcessSteps.MakeLeftHanded</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a34fbdb16993386b0192a0eb0c4351c75">AssimpPostProcessSteps.FlipWindingOrder</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p></p>
<dl class="deprecated"><dt><b><a class="el" href="deprecated.html#_deprecated000001">Deprecated:</a></b></dt><dd>Supersedes the #MakeLeftHanded and #FlipUVs and #FlipWindingOrder flags.</dd></dl>
<p>Left-handed geometry, upper-left origin for UV coordinates and finally clockwise face order, suitable for CCW culling. </p>

</div>
</div>
<a id="a3766fd723959923c3aeb322955e9c217" name="a3766fd723959923c3aeb322955e9c217"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3766fd723959923c3aeb322955e9c217">&#9670;&nbsp;</a></span>TargetRealtimeFast</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39">AssimpPostProcessSteps</a> TriLib.AssimpProcessPreset.TargetRealtimeFast = <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a3bce9359b1db4d15c03000c66e0b0d52">AssimpPostProcessSteps.CalcTangentSpace</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a81a21a547e0ef83dcf980ba0aac0edd4">AssimpPostProcessSteps.GenNormals</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a4642a6f7959b17c1b5f093a62e4a688c">AssimpPostProcessSteps.JoinIdenticalVertices</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a7862a2cb2f6887e78b0bce4f6e84e7ac">AssimpPostProcessSteps.Triangulate</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39ad50e853bc8ff0eb2f56707085eb52fdb">AssimpPostProcessSteps.GenUvCoords</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a156cb946bd7d4a5fb79cd2be00f0efcc">AssimpPostProcessSteps.SortByPType</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p></p>
<p >Default postprocess configuration optimizing the data for real-time rendering.</p>
<p >Applications would want to use this preset to load models on end-user PCs, maybe for direct use in game.</p>
<dl class="section note"><dt>Note</dt><dd>Please take the time to read the docs for the steps enabled by this preset. Some of them offer further configurable properties, while some of them might not be of use for you so it might be better to not specify them. </dd></dl>

</div>
</div>
<a id="abd88b1e92c830d15052c05a040feaefa" name="abd88b1e92c830d15052c05a040feaefa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd88b1e92c830d15052c05a040feaefa">&#9670;&nbsp;</a></span>TargetRealtimeMaxQuality</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39">AssimpPostProcessSteps</a> TriLib.AssimpProcessPreset.TargetRealtimeMaxQuality = <a class="el" href="class_tri_lib_1_1_assimp_process_preset.html#a3dcb270244e40352702b34f0ab35a212">TargetRealtimeQuality</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39abb8af92c46a5c6bca759b86b840809e4">AssimpPostProcessSteps.FindInstances</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a3d3f2effe3ccae80446075e398148e83">AssimpPostProcessSteps.OptimizeMeshes</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p></p>
<p >Default postprocess configuration optimizing the data for real-time rendering.</p>
<p >This preset enables almost every optimization step to achieve perfectly optimized data. It's your choice for level editor environments where import speed is not important. </p><dl class="section note"><dt>Note</dt><dd>Please take the time to read the docs for the steps enabled by this preset. Some of them offer further configurable properties, while some of them might not be of use for you so it might be better to not specify them. </dd></dl>

</div>
</div>
<a id="a3dcb270244e40352702b34f0ab35a212" name="a3dcb270244e40352702b34f0ab35a212"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3dcb270244e40352702b34f0ab35a212">&#9670;&nbsp;</a></span>TargetRealtimeQuality</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39">AssimpPostProcessSteps</a> TriLib.AssimpProcessPreset.TargetRealtimeQuality = <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a3bce9359b1db4d15c03000c66e0b0d52">AssimpPostProcessSteps.CalcTangentSpace</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a05479d3d9b4a2b28bf49c24a7dbcd99b">AssimpPostProcessSteps.GenSmoothNormals</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a4642a6f7959b17c1b5f093a62e4a688c">AssimpPostProcessSteps.JoinIdenticalVertices</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39abc15722695122129538319d4fd198153">AssimpPostProcessSteps.ImproveCacheLocality</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39afaf71ceef380dd2f3222f0559f5fa4e8">AssimpPostProcessSteps.LimitBoneWeights</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a0987753e9df81d1cf636f53c3b5593db">AssimpPostProcessSteps.SplitLargeMeshes</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a7862a2cb2f6887e78b0bce4f6e84e7ac">AssimpPostProcessSteps.Triangulate</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39ad50e853bc8ff0eb2f56707085eb52fdb">AssimpPostProcessSteps.GenUvCoords</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39a156cb946bd7d4a5fb79cd2be00f0efcc">AssimpPostProcessSteps.SortByPType</a> | <a class="el" href="namespace_tri_lib.html#acb0be976ed4cc12be14542c0bb29ea39aee94e10f28c445df2405ea4767905117">AssimpPostProcessSteps.FindInvalidData</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p></p>
<p >Default postprocess configuration optimizing the data for real-time rendering.</p>
<p >Unlike <a class="el" href="class_tri_lib_1_1_assimp_process_preset.html#a3766fd723959923c3aeb322955e9c217">TriLib.AssimpProcessPreset.TargetRealtimeFast</a>, this configuration performs some extra optimizations to improve rendering speed and to minimize memory usage. It could be a good choice for a level editor environment where import speed is not so important.</p>
<dl class="section note"><dt>Note</dt><dd>Please take the time to read the docs for the steps enabled by this preset. Some of them offer further configurable properties, while some of them might not be of use for you so it might be better to not specify them. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/AssetLoader/<a class="el" href="_assimp_configs_8cs.html">AssimpConfigs.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_assimp_process_preset.html">AssimpProcessPreset</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
